=== debian/changelog ===
python-jira (1.0.10-1) unstable; urgency=medium

  * Initial release (Closes: #729114)

 -- Sophie Brun <sophie@freexian.com>  Tue, 24 Oct 2017 10:52:42 +0200
