=== debian/control ===
Source: python-jira
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr,
 python-pytest,
 python-pytest-cov,
 python-pytest-runner,
 python-setuptools,
 python-sphinx,
 python-sphinx-rtd-theme,
 python3-all,
 python3-pbr,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 subunit,
 testrepository
Standards-Version: 4.1.1
Homepage: https://github.com/pycontribs/jira
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jira.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jira.git
Testsuite: autopkgtest-pkg-python

Package: python-jira
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-jira-doc
Description: JIRA Python library (Python 2)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 2.

Package: python3-jira
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-jira-doc
Description: JIRA Python library (Python 3)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 3.

Package: python-jira-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: JIRA Python library (common documentation)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This is the common documentation package.
