=== debian/watch ===
version=4
https://pypi.debian.net/jira/jira-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
