=== debian/changelog ===
python-jira (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0.
  * Use Python 3 for building docs.
  * Drop Python 2 support
    - Rename CLI python3-jirashell to jirashell
  * Remove openstack-pkg-tools from B-D.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 07:56:27 +0200

python-jira (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Switch watch file to github
  * New upstream version 2.0.0
  * Remove patch (merged upstream)
  * Bump policy version (no changes)
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jan 2019 13:27:25 +0100

python-jira (1.0.10-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Mattia Rizzolo ]
  * d/source/options: Also ignore the .eggs/ directory.
  * d/control: Add more build-dependencies to run the tests.
  * d/control: Set Rules-Requires-Root:no.
  * d/rules: Use the pybuild build system.
    + Explicitly disable the tests as they require access to the internet.
    + Explicitly rename the binaries.
    + This also avoid a dependency on a tight Python version.
  * Bump debhelper compat level to 12.
    + Install the docs with dh_install instead of dh_installdocs to prevent
      them from being moved due to the changes introduced in dh compat 11
      (see Policy v3.9.7, §12.3).
  * Add a gbp.conf to specify the debian branch.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Dec 2018 23:02:24 +0100

python-jira (1.0.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sophie Brun ]
  * Import a patch from upstream to fix issue with python3.7 (Closes: #903526)
  * Bump Standards-Version to 4.1.5 (no changes)

 -- Sophie Brun <sophie@freexian.com>  Tue, 31 Jul 2018 14:17:45 +0200
