=== debian/control ===
Source: python-jira
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Sophie Brun <sophie@freexian.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-all,
 python3-flaky,
 python3-pbr,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tenacity,
 subunit,
 testrepository,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/pycontribs/jira
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jira.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jira
Testsuite: autopkgtest-pkg-python

Package: python3-jira
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jira-doc,
Description: JIRA Python library (Python 3)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 3.

Package: python-jira-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: JIRA Python library (common documentation)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This is the common documentation package.
