=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-jira-$1.tar.gz%" \
    https://github.com/pycontribs/jira/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
