=== debian/changelog ===
python-jira (3.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Benjamin Drung ]
  * New upstream release.
  * Remove duplicate sphinx build dependencies
  * Add build dependencies on python3-setuptools-scm and
    python3-setuptools-scm-git-archive
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper 13

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 29 Sep 2020 16:04:23 +0200
