=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: python-jira
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@freexian.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-sphinx,
- python3-sphinx-rtd-theme,
  python3-all,
  python3-flaky,
  python3-pbr,
@@ -16,16 +14,18 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-setuptools,
+ python3-setuptools-scm,
+ python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tenacity,
  subunit,
  testrepository,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-jira.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jira
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jira
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-jira
