=== debian/changelog ===
python-jira (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * Fix dh_python depends (lintian error)
  * Add Salsa CI
  * Update standards version
  * Use local doc packages for intersphinx-mapping in documentation
    build to prevent network access during the build. (Closes: #1000182)
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Fri, 19 Nov 2021 09:42:56 +0000
