=== debian/control ===
--- 
+++ 
@@ -7,12 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-flaky,
  python3-pbr,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-runner,
+ python3-keyring,
+ python3-oauthlib,
+ python3-requests-oauthlib,
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,
@@ -21,7 +24,11 @@
  python3-tenacity,
  subunit,
  testrepository,
-Standards-Version: 4.5.0
+ python3-doc <!nodoc>,
+ python-requests-doc <!nodoc>,
+ python-requests-oauthlib-doc <!nodoc>,
+ python-ipython-doc <!nodoc>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git
