## python-jira 3.2.0

=== debian/changelog ===
python-jira (3.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-jira-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:15:33 +0000

python-jira (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Mon, 16 May 2022 13:10:04 +0100
