=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: JIRA Python library (common documentation)
  This package contains a library that eases the use of the JIRA REST API
  from Python.
