## python-jira 3.4.1

=== debian/changelog ===
python-jira (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.1.
  * Add the following packages to Build-Depends:
    * pybuild-plugin-pyproject: upstream removed setup.py
      so the traditional build results in an FTBFS.
    * python3-requests-toolbelt: upstream started using
      MultipartEncoder from requests_toolbelt.
    * furo and python3-sphinx-copybutton: new changes
      to the doc/sphinx build.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 16 Feb 2023 17:50:42 +0530
