=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ furo,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-flaky,
  python3-pbr,
@@ -16,11 +18,13 @@
  python3-keyring,
  python3-oauthlib,
  python3-requests-oauthlib,
+ python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinx-copybutton,
  python3-tenacity,
  subunit,
  testrepository,
