## python-jira 3.5.2

=== debian/changelog ===
python-jira (3.5.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency (Closes: #1073359)
  * Drop salsa-ci.yml
  * Switch to autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Jun 2024 18:02:54 +0200

python-jira (3.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * Drop wrong depends on setuptools-scm-git-archive (Closes: #1050102).

  [ Michael R. Crusoe ]
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Marked the intersphinx patch as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Mar 2024 12:37:05 +0100

python-jira (3.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.2.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 14 Aug 2023 22:36:54 +0530
