## python-jira 3.9.4

=== debian/changelog ===
python-jira (3.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Stop using imghdr (closes: #1084531).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2024 22:14:13 +0000
