## python-jira 3.10.5

=== debian/changelog ===
python-jira (3.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 17:16:43 +0100
