=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Sophie Brun <sophie@freexian.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  furo,
  pybuild-plugin-pyproject,
  python3-all:any,
@@ -21,23 +19,23 @@
  python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
- python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinx-copybutton,
  python3-tenacity,
+ python3-typing-extensions,
  subunit,
  testrepository,
  python3-doc <!nodoc>,
  python-requests-doc <!nodoc>,
  python-requests-oauthlib-doc <!nodoc>,
  python-ipython-doc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jira
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-jira
 Architecture: all
